#region using
using System;
using UnityEngine;
using System.Collections;
using System.Collections.Generic;
using SimpleJSON;
using System.Linq;
using System.Threading;
using System.Text.RegularExpressions;
#endregion

namespace Cotyounoyume{
	public class Etc
	{
		#region common or UI Properties
		public Atom atom;
		public bool autoExpressionOffGlobal = true;
		public bool autoBlinkOffGlobal = true;
		public bool autoJawMouthMorphOnGlobal = true;
		
		public EBATCore core;
		public bool disableLog;
		#endregion
		
		#region etc parameters
		#endregion

		public Etc(EBATCore core){
			atom = core.atom;
			this.core = core;
		}
		
		public void loadSettings(){
			try{
				autoExpressionOffGlobal = core.settings["General"]["AutoExpressionsOff"].AsBool;
				autoBlinkOffGlobal = core.settings["General"]["AutoBlinkOff"].AsBool;
				autoJawMouthMorphOnGlobal = core.settings["General"]["AutoJawMouthMorphOn"].AsBool;
			}catch (Exception e){
				core.loggerE(e);
			}
		}
		
		public void applySettings(){
			try{
				atom.GetStorableByID("AutoExpressions").SetBoolParamValue("enabled", !(core.settings["General"]["AutoExpressionsOff"].AsBool));
				atom.GetStorableByID("EyelidControl").SetBoolParamValue("blinkEnabled", !(core.settings["General"]["AutoBlinkOff"].AsBool));
				atom.GetStorableByID("AutoJawMouthMorph").SetBoolParamValue("enabled", !(core.settings["General"]["AutoJawMouthMorphOn"].AsBool));
			}catch (Exception e){
				core.loggerE(e);
			}
		}
		
		public void maintenance(){

		}
	}
}